Index: boot/arch/arm32/src/putchar.c
===================================================================
--- boot/arch/arm32/src/putchar.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ boot/arch/arm32/src/putchar.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -51,10 +51,11 @@
 {
 	volatile uint32_t *thr =
-		(volatile uint32_t *) BBONE_SCONS_THR;
+	    (volatile uint32_t *) BBONE_SCONS_THR;
 	volatile uint32_t *ssr =
-		(volatile uint32_t *) BBONE_SCONS_SSR;
+	    (volatile uint32_t *) BBONE_SCONS_SSR;
 
 	/* Wait until transmitter is empty */
-	while (*ssr & BBONE_TXFIFO_FULL);
+	while (*ssr & BBONE_TXFIFO_FULL)
+		;
 
 	/* Transmit byte */
@@ -78,5 +79,6 @@
 
 	/* Wait until transmitter is empty. */
-	while ((*ssr & BBXM_THR_FULL) == 1) ;
+	while ((*ssr & BBXM_THR_FULL) == 1)
+		;
 
 	/* Transmit byte. */
@@ -144,10 +146,10 @@
 	write32(BCM2835_UART0_FBRD, 40);	/* Set fractional baud rate */
 	write32(BCM2835_UART0_LCRH,
-		BCM2835_UART0_LCRH_FEN |	/* Enable FIFOs */
-		BCM2835_UART0_LCRH_WL8);	/* Word length: 8 */
+	    BCM2835_UART0_LCRH_FEN |		/* Enable FIFOs */
+	    BCM2835_UART0_LCRH_WL8);		/* Word length: 8 */
 	write32(BCM2835_UART0_CR,
-		BCM2835_UART0_CR_UARTEN |	/* Enable UART */
-		BCM2835_UART0_CR_TXE |		/* Enable TX */
-		BCM2835_UART0_CR_RXE);		/* Enable RX */
+	    BCM2835_UART0_CR_UARTEN |		/* Enable UART */
+	    BCM2835_UART0_CR_TXE |		/* Enable TX */
+	    BCM2835_UART0_CR_RXE);		/* Enable RX */
 }
 
@@ -159,5 +161,6 @@
 	}
 
-	while (read32(BCM2835_UART0_FR) & BCM2835_UART0_FR_TXFF);
+	while (read32(BCM2835_UART0_FR) & BCM2835_UART0_FR_TXFF)
+		;
 
 	write32(BCM2835_UART0_DR, byte);
Index: uspace/app/sbi/src/bigint.c
===================================================================
--- uspace/app/sbi/src/bigint.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/app/sbi/src/bigint.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -202,5 +202,5 @@
 
 	if (bigint->negative)
-		val = - val;
+		val = -val;
 
 	/* If the value did not fit @c val now contains garbage. Verify. */
@@ -368,5 +368,5 @@
 {
 	static const char digits[] = { '0', '1', '2', '3', '4', '5', '6',
-	    '7', '8', '9' };
+		'7', '8', '9' };
 
 	bigint_t val, tmp;
@@ -632,5 +632,5 @@
 		db = b;
 
-		tmp = (da * db) + (bigint_word_t) carry;
+		tmp = da * db + (bigint_word_t) carry;
 
 		carry = (bigint_word_t) (tmp / BIGINT_BASE);
Index: uspace/app/usbinfo/info.c
===================================================================
--- uspace/app/usbinfo/info.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/app/usbinfo/info.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -269,6 +269,4 @@
 	}
 
-	/*printf("Found string in %s->%s: %zu\n",
-	    #descr_struct, #descr_item, __str_index); */
 #define SET_STRING_INDEX(descr, mask, descr_type, descr_struct, descr_item) \
 	do { \
Index: uspace/app/vuhid/hids/logitech_wireless.c
===================================================================
--- uspace/app/vuhid/hids/logitech_wireless.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/app/vuhid/hids/logitech_wireless.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -58,14 +58,10 @@
 #define iface1_input_size 8
 static uint8_t iface1_in_data[] = {
-		/*0, 0, 0, 0, 0, 0, 0, 0,
-		0, 9, 0, 0, 0, 0, 0, 0,
-		0, 0, 9, 0, 0, 0, 0, 0,
-		0, 9, 9, 0, 0, 0, 0, 0,*/
-		0, 0, 0, 0, 0, 0, 0, 0
+	0, 0, 0, 0, 0, 0, 0, 0
 };
 
 static vuhid_interface_life_t iface1_life = {
 	.data_in = iface1_in_data,
-	.data_in_count = sizeof(iface1_in_data)/iface1_input_size,
+	.data_in_count = sizeof(iface1_in_data) / iface1_input_size,
 	.data_in_pos_change_delay = 50,
 	.msg_born = "Mouse of Logitech Unifying Receiver comes to life...",
Index: uspace/drv/audio/hdaudio/codec.c
===================================================================
--- uspace/drv/audio/hdaudio/codec.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/drv/audio/hdaudio/codec.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -67,5 +67,6 @@
 	}
 	errno_t rc = hda_cmd(codec->hda, verb, resp);
-/*
+
+#if 0
 	if (resp != NULL) {
 		ddf_msg(LVL_NOTE, "verb 0x%" PRIx32 " -> 0x%" PRIx32, verb,
@@ -74,5 +75,5 @@
 		ddf_msg(LVL_NOTE, "verb 0x%" PRIx32, verb);
 	}
-*/
+#endif
 	return rc;
 }
@@ -448,9 +449,10 @@
 	}
 
-/*	if ((pcaps & BIT_V(uint32_t, pwc_input)) != 0) {
+#if 0
+	if ((pcaps & BIT_V(uint32_t, pwc_input)) != 0) {
 		ddf_msg(LVL_NOTE, "PIN %d will enable input");
-	    	pctl = pctl | BIT_V(uint8_t, pctl_input_enable);
-	}
-*/
+		pctl = pctl | BIT_V(uint8_t, pctl_input_enable);
+	}
+#endif
 	ddf_msg(LVL_NOTE, "Setting PIN %d ctl to 0x%x", aw, pctl);
 	rc = hda_set_pin_ctl(codec, aw, pctl);
Index: uspace/lib/c/arch/ia32/src/rtld/reloc.c
===================================================================
--- uspace/lib/c/arch/ia32/src/rtld/reloc.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/lib/c/arch/ia32/src/rtld/reloc.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -93,9 +93,8 @@
 		sym = &sym_table[sym_idx];
 
-/*		DPRINTF("name '%s', value 0x%x, size 0x%x\n",
-		    str_tab + sym->st_name,
-		    sym->st_value,
-		    sym->st_size);
-*/
+#if 0
+		DPRINTF("name '%s', value 0x%x, size 0x%x\n",
+		    str_tab + sym->st_name, sym->st_value, sym->st_size);
+#endif
 		rel_type = ELF32_R_TYPE(r_info);
 		r_ptr = (uint32_t *)(r_offset + m->bias);
Index: uspace/lib/c/arch/ia32/src/tls.c
===================================================================
--- uspace/lib/c/arch/ia32/src/tls.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/lib/c/arch/ia32/src/tls.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -33,5 +33,5 @@
  */
 /** @file
-  * @ingroup libcia32
+ * @ingroup libcia32
  */
 
Index: uspace/lib/posix/src/stdio/scanf.c
===================================================================
--- uspace/lib/posix/src/stdio/scanf.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/lib/posix/src/stdio/scanf.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -61,5 +61,5 @@
 	_PROV_READY,
 	/** Cursor is temporarily lent to the external entity. No action is
-	  * possible until the cursor is returned.  */
+	 * possible until the cursor is returned.  */
 	_PROV_CURSOR_LENT,
 };
@@ -74,5 +74,5 @@
 	int fetched;
 	/** Elements are fetched from the source in batches (e.g. by getline())
-	  * to allow using strtol/strtod family even on streams. */
+	 * to allow using strtol/strtod family even on streams. */
 	char *window;
 	/** Size of the current window. */
@@ -84,22 +84,22 @@
 
 	/** Take control over data source. Finish initialization of the internal
-	  * structures (e.g. allocation of window). */
+	 * structures (e.g. allocation of window). */
 	void (*capture)(struct __input_provider *);
 	/** Get a single element from the source and update the internal structures
-	  * accordingly (e.g. greedy update of the window). Return -1 if the
-	  * element cannot be obtained. */
+	 * accordingly (e.g. greedy update of the window). Return -1 if the
+	 * element cannot be obtained. */
 	int (*pop)(struct __input_provider *);
 	/** Undo the most recent not-undone pop operation. Might be necesarry to
-	  * flush current window and seek data source backwards. Return 0 if the
-	  * pop history is exhausted, non-zero on success. */
+	 * flush current window and seek data source backwards. Return 0 if the
+	 * pop history is exhausted, non-zero on success. */
 	int (*undo)(struct __input_provider *);
 	/** Lend the cursor to the caller.  */
 	const char *(*borrow_cursor)(struct __input_provider *);
 	/** Take control over possibly incremented cursor and update the internal
-	  * structures if necessary. */
+	 * structures if necessary. */
 	void (*return_cursor)(struct __input_provider *, const char *);
 	/** Release the control over the source. That is, synchronize any
-	  * fetched but non-consumed elements (e.g. by seeking) and destruct
-	  * internal structures (e.g. window deallocation). */
+	 * fetched but non-consumed elements (e.g. by seeking) and destruct
+	 * internal structures (e.g. window deallocation). */
 	void (*release)(struct __input_provider *);
 } _input_provider;
@@ -411,6 +411,7 @@
 		*base = 10;
 		return 1;
-	case 'p': /* According to POSIX, %p modifier is implementation defined but
-			   * must correspond to its printf counterpart. */
+	case 'p':
+		/* According to POSIX, %p modifier is implementation defined but
+		 * must correspond to its printf counterpart. */
 	case 'x':
 	case 'X':
Index: uspace/lib/trackmod/trackmod.c
===================================================================
--- uspace/lib/trackmod/trackmod.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/lib/trackmod/trackmod.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -62,13 +62,13 @@
 
 /** Table for finetune computation.
-  *
-  * Finetune is a number ft in [-8 .. 7]. The pitch should be adjusted by
-  * ft/8 semitones. To adjust pitch by 1/8 semitone down we can mutiply the
-  * period by 2^(1/12/8) =. 1.0072, one semitone up: 2^-(1/12/8) =. 0.9928,
-  * to adjust by ft/8 semitones, multiply by 2^(-ft/12/8).
-  *
-  * finetune_factor[ft] := 10000 * 2^(-ft/12/8)
-  * res_period = clip(period * fineture_factor[ft+8] / 10000)
-  */
+ *
+ * Finetune is a number ft in [-8 .. 7]. The pitch should be adjusted by
+ * ft/8 semitones. To adjust pitch by 1/8 semitone down we can mutiply the
+ * period by 2^(1/12/8) =. 1.0072, one semitone up: 2^-(1/12/8) =. 0.9928,
+ * to adjust by ft/8 semitones, multiply by 2^(-ft/12/8).
+ *
+ * finetune_factor[ft] := 10000 * 2^(-ft/12/8)
+ * res_period = clip(period * fineture_factor[ft+8] / 10000)
+ */
 static unsigned finetune_factor[16] = {
 	10595, 10518, 10443, 10368, 10293, 10219, 10145, 10072,
@@ -731,9 +731,11 @@
 		}
 
-/*		if (np < period_min)
+#if 0
+		/* XXX */
+		if (np < period_min)
 			np = period_min;
 		if (np > period_max)
 			np = period_max;
-*/
+#endif
 		modplay->chan[i].period = np;
 	}
Index: uspace/lib/trackmod/types/trackmod.h
===================================================================
--- uspace/lib/trackmod/types/trackmod.h	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/lib/trackmod/types/trackmod.h	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -153,5 +153,5 @@
 	int vol_slide;
 	/** Portamento amount (positive for tone and up portamento,
-	  * negative for down portamento. */
+	 * negative for down portamento. */
 	int portamento;
 	/** Tone portamento target period. */
Index: uspace/srv/fs/exfat/exfat_directory.c
===================================================================
--- uspace/srv/fs/exfat/exfat_directory.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/srv/fs/exfat/exfat_directory.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -71,5 +71,4 @@
 
 	di->bs = block_bb_get(di->service_id);
-/*	di->blocks = nodep->size / BPS(di->bs); */
 	di->blocks = ROUND_UP(nodep->size, BPS(di->bs)) / BPS(di->bs);
 	return EOK;
Index: uspace/srv/fs/exfat/exfat_ops.c
===================================================================
--- uspace/srv/fs/exfat/exfat_ops.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/srv/fs/exfat/exfat_ops.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -1198,5 +1198,6 @@
 	}
 
-	/* exfat_fsinfo(bs, service_id); */
+	if (0)
+		exfat_fsinfo(bs, service_id);
 
 	*rrfn = FS_NODE(rootp);
@@ -1237,5 +1238,4 @@
 
 /* Print debug info */
-/*
 static void exfat_fsinfo(exfat_bs_t *bs, service_id_t service_id)
 {
@@ -1252,20 +1252,19 @@
 	printf("Bytes per sector: %d\n", BPS(bs));
 	printf("Sectors per cluster: %d\n", SPC(bs));
-	printf("KBytes per cluster: %d\n", SPC(bs)*BPS(bs)/1024);
+	printf("KBytes per cluster: %d\n", SPC(bs) * BPS(bs) / 1024);
 
 	int i, rc;
 	exfat_cluster_t clst;
-	for (i=0; i<=7; i++) {
+	for (i = 0; i <= 7; i++) {
 		rc = exfat_get_cluster(bs, service_id, i, &clst);
 		if (rc != EOK)
 			return;
 		printf("Clst %d: %x", i, clst);
-		if (i>=2)
-			printf(", Bitmap: %d\n", bitmap_is_free(bs, service_id, i)!=EOK);
+		if (i >= 2)
+			printf(", Bitmap: %d\n", bitmap_is_free(bs, service_id, i) != EOK);
 		else
 			printf("\n");
 	}
 }
-*/
 
 static errno_t exfat_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
Index: uspace/srv/hid/isdv4_tablet/isdv4.c
===================================================================
--- uspace/srv/hid/isdv4_tablet/isdv4.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/srv/hid/isdv4_tablet/isdv4.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -54,8 +54,10 @@
 #define CMD_QUERY_TOUCH '%'
 
-/* packet_consumer_fn(uint8_t *packet, size_t size, isdv4_state_t *state,
-   void *data)
-   return true if reading of packets should continue */
-typedef bool (*packet_consumer_fn)(uint8_t *, size_t, isdv4_state_t *);
+/** Packet consumer function
+ *
+ * @return true if reading of packets should continue
+ */
+typedef bool (*packet_consumer_fn)(uint8_t *packet, size_t size,
+    isdv4_state_t *state);
 
 static void isdv4_event_init(isdv4_event_t *event)
Index: uspace/srv/net/tcp/conn.c
===================================================================
--- uspace/srv/net/tcp/conn.c	(revision ae7d03c05f24b857bbbdbcf3dafbf8ecc6c286ab)
+++ uspace/srv/net/tcp/conn.c	(revision e897527842650001c9fb751fa6a1792a272858d7)
@@ -1186,15 +1186,4 @@
 	tcp_segment_dump(seg);
 
-	/* Check whether segment is acceptable */
-	/* XXX Permit valid ACKs, URGs and RSTs */
-/*	if (!seq_no_segment_acceptable(conn, seg)) {
-		log_msg(LOG_DEFAULT, LVL_WARN, "Segment not acceptable, dropping.");
-		if ((seg->ctrl & CTL_RST) == 0) {
-			tcp_tqueue_ctrl_seg(conn, CTL_ACK);
-		}
-		return;
-	}
-*/
-
 	if (tcp_conn_seg_proc_rst(conn, seg) == cp_done)
 		return;
